Author Topic: NEW MEMBERS ASK YOUR QUESTIONS HERE ABOUT ANYTHING  (Read 120998 times)

Offline Cool_Gamer8119

  • Kinda Regular
  • ****
  • Posts: 357
  • lol avatar gallery
Re: NEW MEMBERS ASK YOUR QUESTIONS HERE ABOUT ANYTHING
« Reply #60 on: June 22, 2009, 12:02:40 PM »
@weegee152

I have used arch linux and i have had to deal with pkgbuilds before, even though i have never installed smw on that computer. Usually it is save to not modify the pkgbuild file, so hitting "n" before at
Quote
==> Edit the PKGBUILD (highly recommended for security reasons) ? [Y/n]("A" to abort)
==> ----------------------------------------------

as long as you trust where you got the stuff.

please try this and if you have any problems post again
<Insert generic signature here> </not funnyness>

Offline weegee152

  • Newbie
  • *
  • Posts: 6
Re: NEW MEMBERS ASK YOUR QUESTIONS HERE ABOUT ANYTHING
« Reply #61 on: June 23, 2009, 11:55:22 AM »
Quote from: "cool_gamer8119"
@weegee152

I have used arch linux and i have had to deal with pkgbuilds before, even though i have never installed smw on that computer. Usually it is save to not modify the pkgbuild file, so hitting "n" before at
Quote
==> Edit the PKGBUILD (highly recommended for security reasons) ? [Y/n]("A" to abort)
==> ----------------------------------------------

as long as you trust where you got the stuff.

please try this and if you have any problems post again

K sry if i hadn't replied for a while so i did what u said but one problem now it says:

Quote
==> Building and installing package
==> ERROR: Fakeroot must be installed if using the 'fakeroot' option
    in the BUILDENV array in /etc/makepkg.conf.
Error: Makepkg was unable to build smw package.

Help, also im not root so i can't do anything...

Man i really want to play this game :(

Offline Roxas

  • Quite Some Free Time
  • ***
  • Posts: 2156
Re: NEW MEMBERS ASK YOUR QUESTIONS HERE ABOUT ANYTHING
« Reply #62 on: June 23, 2009, 02:10:51 PM »
is arch linux based on ubuntu? If it is, there is a thread that might help you out. I used to have a linux issue with SMW.
viewtopic.php?f=1&t=9945

Abominations created by Me and my brother on MSpaint.

Offline weegee152

  • Newbie
  • *
  • Posts: 6
Re: NEW MEMBERS ASK YOUR QUESTIONS HERE ABOUT ANYTHING
« Reply #63 on: June 23, 2009, 04:13:18 PM »
Quote from: "Roxas"
is arch linux based on ubuntu? If it is, there is a thread that might help you out. I used to have a linux issue with SMW.
viewtopic.php?f=1&t=9945

No, it is not ubuntu based :(

Please help

Offline Cool_Gamer8119

  • Kinda Regular
  • ****
  • Posts: 357
  • lol avatar gallery
Re: NEW MEMBERS ASK YOUR QUESTIONS HERE ABOUT ANYTHING
« Reply #64 on: June 25, 2009, 09:21:21 AM »
@weegee152
you cannot become root? If you can then run (as root)
Code: [Select]
pacman -S fakeroot

if not, try downloading a folder of binaries from here and extracting it in your home directory, then running it from there
<Insert generic signature here> </not funnyness>

Offline weegee152

  • Newbie
  • *
  • Posts: 6
Re: NEW MEMBERS ASK YOUR QUESTIONS HERE ABOUT ANYTHING
« Reply #65 on: June 25, 2009, 10:17:44 AM »
Quote from: "cool_gamer8119"
@weegee152
you cannot become root? If you can then run (as root)
Code: [Select]
pacman -S fakeroot

if not, try downloading a folder of binaries from here and extracting it in your home directory, then running it from there

using
pacman -S fakeroot

is required as being as root. instead i used

yaourt -S fakeroot

and yes! smw is being installed!!!! ty ty ty! TY!!!! I LOVE THIS FORUM!!! :D :D
Thx to u all, I wouldn't have installed smw without ur help!

Offline Roxas

  • Quite Some Free Time
  • ***
  • Posts: 2156
Re: NEW MEMBERS ASK YOUR QUESTIONS HERE ABOUT ANYTHING
« Reply #66 on: June 25, 2009, 10:36:40 AM »
sweet! have fun man, oh, and download as much content as you can. :D

Abominations created by Me and my brother on MSpaint.

Offline weegee152

  • Newbie
  • *
  • Posts: 6
Re: NEW MEMBERS ASK YOUR QUESTIONS HERE ABOUT ANYTHING
« Reply #67 on: June 25, 2009, 01:03:36 PM »
Quote from: "Roxas"
sweet! have fun man, oh, and download as much content as you can. :D

too bad... I can't :( when the download finished it said:

Quote
-> Found smw.desktop in build dir
  -> Found smw.png in build dir
  -> Found gcc43.patch in build dir
==> Validating source files with md5sums...
    smw-1.7afe-src.zip ... Passed
    smw.desktop ... Passed
    smw.png ... Passed
    gcc43.patch ... Passed
==> Extracting Sources...
  -> bsdtar -x -f smw-1.7afe-src.zip
==> Entering fakeroot environment...
==> Starting build()...
./PKGBUILD: line 25: patch: command not found
==> ERROR: Build Failed.
    Aborting...
Error: Makepkg was unable to build smw package.

Please help! I thought my problems was over but thats when this problem occured!!!!
Help me!! i saw the gameplay and it was soo cool!!!

Offline Cool_Gamer8119

  • Kinda Regular
  • ****
  • Posts: 357
  • lol avatar gallery
Re: NEW MEMBERS ASK YOUR QUESTIONS HERE ABOUT ANYTHING
« Reply #68 on: June 26, 2009, 08:53:36 PM »
@weegee152

did you read the end of my last post? Try to use the archive downloaded from that thread.
<Insert generic signature here> </not funnyness>

Offline FrankieLeet

  • Newbie
  • *
  • Posts: 1
(No subject)
« Reply #69 on: July 05, 2009, 03:30:22 PM »
I'm using 1.7, and it's always worked fine...but just recently I got a whole bunch of maps from here, and now it crashes at the level select screen.  It seems to only happen on specific levels - for example, when I press right when at "Abandoned Castle (fixed)", or left at "Yarg".  Going into thumb view, it crashes when I try to leave the first page.  

I'm assuming I just got some corrupted maps or something, but don't know what to do about it.  I'm on Windows XP, if that matters, and it's just the basic "illegal operation needs to close etc" message.  

I wish I could say exactly what I dl'd from here, but I'm not sure, I was just kind of clicking on whatever looked interesting...a few individual maps, the 72dpi Best Map Collection, and I also imported the maps from Super Mario Warld.  Could that be it?

Mega thanks for any help.

Offline Madosuki

  • Lots of Free Time
  • ****
  • Posts: 788
    • Steam Profile
Re:
« Reply #70 on: July 05, 2009, 03:39:03 PM »
Quote from: "FrankieLeet"
I'm using 1.7, and it's always worked fine...but just recently I got a whole bunch of maps from here, and now it crashes at the level select screen.  It seems to only happen on specific levels - for example, when I press right when at "Abandoned Castle (fixed)", or left at "Yarg".  Going into thumb view, it crashes when I try to leave the first page.  

I'm assuming I just got some corrupted maps or something, but don't know what to do about it.  I'm on Windows XP, if that matters, and it's just the basic "illegal operation needs to close etc" message.  

I wish I could say exactly what I dl'd from here, but I'm not sure, I was just kind of clicking on whatever looked interesting...a few individual maps, the 72dpi Best Map Collection, and I also imported the maps from Super Mario Warld.  Could that be it?

Mega thanks for any help.
Because the maps from here are only 1.8 beta compatibile.
if your looking for 1.7-1.7 AFE content go to the 1.7 section of Fanmade Content..
« Last Edit: July 05, 2009, 03:40:37 PM by WII!MAN »
Oh, come, lovely child! Come thou with me! For many a game I will play there with thee.

Offline Jester Frog

  • Regular
  • *****
  • Posts: 686
Re: NEW MEMBERS ASK YOUR QUESTIONS HERE ABOUT ANYTHING
« Reply #71 on: July 05, 2009, 03:40:01 PM »
Well, I'm pretty sure a lot of the 72dpi Best Map Collection contains 1.8-only compatible maps, and were you downloading those individual maps from the old 1.7 board or the current open Fanmade Content board?
So, I guess your best bet would be to just download the 1.8 Beta, or redownload 1.7 if you're dead set on using 1.7.

Offline Madosuki

  • Lots of Free Time
  • ****
  • Posts: 788
    • Steam Profile
Re: NEW MEMBERS ASK YOUR QUESTIONS HERE ABOUT ANYTHING
« Reply #72 on: July 05, 2009, 03:41:59 PM »
Quote from: "Jester Frog"
Well, I'm pretty sure a lot of the 72dpi Best Map Collection contains 1.8-only compatible maps, and were you downloading those individual maps from the old 1.7 board or the current open Fanmade Content board?
So, I guess your best bet would be to just download the 1.8 Beta, or redownload 1.7 if you're dead set on using 1.7.
or go throught the long process of removeing those maps.
Oh, come, lovely child! Come thou with me! For many a game I will play there with thee.

Offline Roxas

  • Quite Some Free Time
  • ***
  • Posts: 2156
Re: NEW MEMBERS ASK YOUR QUESTIONS HERE ABOUT ANYTHING
« Reply #73 on: July 05, 2009, 03:42:28 PM »
1.8 > 1.7 1.8 has more stuff in it, but I would say 1.8 = 1.7 AFE because AFE has all cool secrets.

Abominations created by Me and my brother on MSpaint.

Offline Madosuki

  • Lots of Free Time
  • ****
  • Posts: 788
    • Steam Profile
Re: NEW MEMBERS ASK YOUR QUESTIONS HERE ABOUT ANYTHING
« Reply #74 on: July 05, 2009, 03:46:47 PM »
Quote from: "Roxas"
1.8 > 1.7 1.8 has more stuff in it, but I would say 1.8 = 1.7 AFE because AFE has all cool secrets.
but 1.8 has more tilesets Ro and as a map maker i prefer morw tilesets plus ading the ability to add the boot and such to levels and the diffrent platfom types and the worlds an-:head explodes from content overload:
Oh, come, lovely child! Come thou with me! For many a game I will play there with thee.